Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class AbstractMonitoredProxyCreationListener

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractMonitoredProxyCreationListener

All Implemented Interfaces:
  `IProxyCreationListener`

Direct Known Subclasses:
  `LocalMonitoredProxyCreationListener`, `RemoteMonitoredProxyCreationListener`

    public abstract class AbstractMonitoredProxyCreationListener
    extends Object
    implements IProxyCreationListener

Asbtract super-class of `IProxyCreationListener`s to use for computing the logical model.

### Field Summary

Fields
`protected DiagnosticSupport` `diagnostic` The diagnostic.
`protected ThreadSafeProgressMonitor` `tspm` The progress monitor.

### Constructor Summary

Constructors
`AbstractMonitoredProxyCreationListener​(ThreadSafeProgressMonitor monitor, DiagnosticSupport diagnostic)` Constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.ide.internal.utils.IProxyCreationListener

`proxyCreated`

### Field Detail

#### tspm

    protected final ThreadSafeProgressMonitor tspm

The progress monitor.

#### diagnostic

    protected final DiagnosticSupport diagnostic

The diagnostic.

### Constructor Detail

#### AbstractMonitoredProxyCreationListener

    public AbstractMonitoredProxyCreationListener​(ThreadSafeProgressMonitor monitor,
                                                  DiagnosticSupport diagnostic)

Constructor.

Parameters:
  `monitor` - The monitor to use, must not be `null`
  `diagnostic` - The diagnostic, must not be `null`